

#ifndef elec_io_h__
#define elec_io_h__

// 此文件实现elec模块的输入输出接口
// 引用时，此文件一定要最后包含

#include "stdint.h"
#include "commend.h"
#include "list.h"

#ifdef printf
#undef printf
#endif
#ifdef rt_kprintf
#undef rt_kprintf
#endif
#ifdef MSH_CMD_EXPORT_ALIAS
#undef MSH_CMD_EXPORT_ALIAS
#endif


// 定义最大参数个数
#define MSH_CMD_PARAM_MAX_NUM 50


#define printf cmd_printf
#define rt_kprintf cmd_printf

#define MSH_CMD_EXPORT_ALIAS(fun_,cmd_,desc)\
  static int __msh_##fun_(list_def *argv /* str */)\
  {\
    char *s[MSH_CMD_PARAM_MAX_NUM]={0};\
    int num=list_length(argv);\
    int ret=0;\
    for(int i=0;i<num;i++){s[i]=list_get_str(argv,i);}\
    fun_(num,s);\
    return ret;\
  }\
  commend_export(cmd_,__msh_##fun_,#desc);


#define ConsoleRxDisable()
  
#define ConsoleRxEnable()
  
int ConsoleUsart_send_bytes(uint8_t *d,int len);

int SaveBoardInfo(void);

int LoadBoardInfo(void);

void Ye_RunPlanCheckTest(void);

  
#endif











